<?php
/**
 * Custom Functions.
 *
 * @package Omega Food Delivery
 */

if( !function_exists( 'omega_food_delivery_fonts_url' ) ) :

    //Google Fonts URL
    function omega_food_delivery_fonts_url(){

        $omega_food_delivery_font_families = array(
            'Work+Sans:ital,wght@0,100..900;1,100..900', // font-family: "Work Sans", sans-serif;
        );

        $omega_food_delivery_fonts_url = add_query_arg( array(
            'family' => implode( '&family=', $omega_food_delivery_font_families ),
            'display' => 'swap',
        ), 'https://fonts.googleapis.com/css2' );

        return esc_url_raw($omega_food_delivery_fonts_url);

    }

endif;

if ( ! function_exists( 'omega_food_delivery_sub_menu_toggle_button' ) ) :

    function omega_food_delivery_sub_menu_toggle_button( $omega_food_delivery_args, $omega_food_delivery_item, $depth ) {

        // Add sub menu toggles to the main menu with toggles
        if ( $omega_food_delivery_args->theme_location == 'omega-food-delivery-primary-menu' && isset( $omega_food_delivery_args->show_toggles ) ) {
            
            // Wrap the menu item link contents in a div, used for positioning
            $omega_food_delivery_args->before = '<div class="submenu-wrapper">';
            $omega_food_delivery_args->after  = '';

            // Add a toggle to items with children
            if ( in_array( 'menu-item-has-children', $omega_food_delivery_item->classes ) ) {

                $toggle_target_string = '.menu-item.menu-item-' . $omega_food_delivery_item->ID . ' > .sub-menu';

                // Add the sub menu toggle
                $omega_food_delivery_args->after .= '<button type="button" class="theme-aria-button submenu-toggle" data-toggle-target="' . $toggle_target_string . '" data-toggle-type="slidetoggle" data-toggle-duration="250" aria-expanded="false"><span class="btn__content" tabindex="-1"><span class="screen-reader-text">' . esc_html__( 'Show sub menu', 'omega-food-delivery' ) . '</span>' . omega_food_delivery_get_theme_svg( 'chevron-down' ) . '</span></button>';

            }

            // Close the wrapper
            $omega_food_delivery_args->after .= '</div><!-- .submenu-wrapper -->';
            // Add sub menu icons to the main menu without toggles (the fallback menu)

        }elseif( $omega_food_delivery_args->theme_location == 'omega-food-delivery-primary-menu' ) {

            if ( in_array( 'menu-item-has-children', $omega_food_delivery_item->classes ) ) {

                $omega_food_delivery_args->before = '<div class="link-icon-wrapper">';
                $omega_food_delivery_args->after  = omega_food_delivery_get_theme_svg( 'chevron-down' ) . '</div>';

            } else {

                $omega_food_delivery_args->before = '';
                $omega_food_delivery_args->after  = '';

            }

        }

        return $omega_food_delivery_args;

    }

endif;

add_filter( 'nav_menu_item_args', 'omega_food_delivery_sub_menu_toggle_button', 10, 3 );

if ( ! function_exists( 'omega_food_delivery_the_theme_svg' ) ):
    
    function omega_food_delivery_the_theme_svg( $omega_food_delivery_svg_name, $return = false ) {

        if( $return ){

            return omega_food_delivery_get_theme_svg( $omega_food_delivery_svg_name ); //phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- Escaped in omega_food_delivery_get_theme_svg();.

        }else{

            echo omega_food_delivery_get_theme_svg( $omega_food_delivery_svg_name ); //phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- Escaped in omega_food_delivery_get_theme_svg();.

        }
    }

endif;

if ( ! function_exists( 'omega_food_delivery_get_theme_svg' ) ):

    function omega_food_delivery_get_theme_svg( $omega_food_delivery_svg_name ) {

        // Make sure that only our allowed tags and attributes are included.
        $omega_food_delivery_svg = wp_kses(
            Omega_Food_Delivery_SVG_Icons::get_svg( $omega_food_delivery_svg_name ),
            array(
                'svg'     => array(
                    'class'       => true,
                    'xmlns'       => true,
                    'width'       => true,
                    'height'      => true,
                    'viewbox'     => true,
                    'aria-hidden' => true,
                    'role'        => true,
                    'focusable'   => true,
                ),
                'path'    => array(
                    'fill'      => true,
                    'fill-rule' => true,
                    'd'         => true,
                    'transform' => true,
                ),
                'polygon' => array(
                    'fill'      => true,
                    'fill-rule' => true,
                    'points'    => true,
                    'transform' => true,
                    'focusable' => true,
                ),
                'polyline' => array(
                    'fill'      => true,
                    'points'    => true,
                ),
                'line' => array(
                    'fill'      => true,
                    'x1'      => true,
                    'x2' => true,
                    'y1'    => true,
                    'y2' => true,
                ),
            )
        );
        if ( ! $omega_food_delivery_svg ) {
            return false;
        }
        return $omega_food_delivery_svg;

    }

endif;

if( !function_exists( 'omega_food_delivery_post_category_list' ) ) :

    // Post Category List.
    function omega_food_delivery_post_category_list( $select_cat = true ){

        $post_cat_lists = get_categories(
            array(
                'hide_empty' => '0',
                'exclude' => '1',
            )
        );

        $post_cat_cat_array = array();
        if( $select_cat ){

            $post_cat_cat_array[''] = esc_html__( '-- Select Category --','omega-food-delivery' );

        }

        foreach ( $post_cat_lists as $post_cat_list ) {

            $post_cat_cat_array[$post_cat_list->slug] = $post_cat_list->name;

        }

        return $post_cat_cat_array;
    }

endif;

if( !function_exists('omega_food_delivery_single_post_navigation') ):

    function omega_food_delivery_single_post_navigation(){

        $omega_food_delivery_default = omega_food_delivery_get_default_theme_options();
        $twp_navigation_type = esc_attr( get_post_meta( get_the_ID(), 'twp_disable_ajax_load_next_post', true ) );
        $current_id = '';
        $article_wrap_class = '';
        global $post;
        $current_id = $post->ID;
        if( $twp_navigation_type == '' || $twp_navigation_type == 'global-layout' ){
            $twp_navigation_type = get_theme_mod('twp_navigation_type', $omega_food_delivery_default['twp_navigation_type']);
        }

        if( $twp_navigation_type != 'no-navigation' && 'post' === get_post_type() ){

            if( $twp_navigation_type == 'theme-normal-navigation' ){ ?>

                <div class="navigation-wrapper">
                    <?php
                    // Previous/next post navigation.
                    the_post_navigation(array(
                        'prev_text' => '<span class="arrow" aria-hidden="true">' . omega_food_delivery_the_theme_svg('arrow-left',$return = true ) . '</span><span class="screen-reader-text">' . esc_html__('Previous post:', 'omega-food-delivery') . '</span><span class="post-title">%title</span>',
                        'next_text' => '<span class="arrow" aria-hidden="true">' . omega_food_delivery_the_theme_svg('arrow-right',$return = true ) . '</span><span class="screen-reader-text">' . esc_html__('Next post:', 'omega-food-delivery') . '</span><span class="post-title">%title</span>',
                    )); ?>
                </div>
                <?php

            }else{

                $next_post = get_next_post();
                if( isset( $next_post->ID ) ){

                    $next_post_id = $next_post->ID;
                    echo '<div loop-count="1" next-post="' . absint( $next_post_id ) . '" class="twp-single-infinity"></div>';

                }
            }

        }

    }

endif;

add_action( 'omega_food_delivery_navigation_action','omega_food_delivery_single_post_navigation',30 );

if( !function_exists('omega_food_delivery_content_offcanvas') ):

    // Offcanvas Contents
    function omega_food_delivery_content_offcanvas(){ ?>

        <div id="offcanvas-menu">
            <div class="offcanvas-wraper">
                <div class="close-offcanvas-menu">
                    <div class="offcanvas-close">
                        <a href="javascript:void(0)" class="skip-link-menu-start"></a>
                        <button type="button" class="button-offcanvas-close">
                            <span class="offcanvas-close-label">
                                <?php echo esc_html__('Close', 'omega-food-delivery'); ?>
                            </span>
                        </button>
                    </div>
                </div>
                <div id="primary-nav-offcanvas" class="offcanvas-item offcanvas-main-navigation">
                    <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'omega-food-delivery'); ?>" role="navigation">
                        <ul class="primary-menu theme-menu">
                            <?php
                            if (has_nav_menu('omega-food-delivery-primary-menu')) {
                                wp_nav_menu(
                                    array(
                                        'container' => '',
                                        'items_wrap' => '%3$s',
                                        'theme_location' => 'omega-food-delivery-primary-menu',
                                        'show_toggles' => true,
                                    )
                                );
                            }else{

                                wp_list_pages(
                                    array(
                                        'match_menu_classes' => true,
                                        'show_sub_menu_icons' => true,
                                        'title_li' => false,
                                        'show_toggles' => true,
                                        'walker' => new Omega_Food_Delivery_Walker_Page(),
                                    )
                                );
                            }
                            ?>
                        </ul>
                    </nav><!-- .primary-menu-wrapper -->
                </div>
                <a href="javascript:void(0)" class="skip-link-menu-end"></a>
            </div>
        </div>

    <?php
    }

endif;

add_action( 'omega_food_delivery_before_footer_content_action','omega_food_delivery_content_offcanvas',30 );

if( !function_exists('omega_food_delivery_footer_content_widget') ):

    function omega_food_delivery_footer_content_widget(){
        
        $omega_food_delivery_default = omega_food_delivery_get_default_theme_options();
        
        $omega_food_delivery_footer_column_layout = absint(get_theme_mod('omega_food_delivery_footer_column_layout', $omega_food_delivery_default['omega_food_delivery_footer_column_layout']));
        $omega_food_delivery_footer_sidebar_class = 12;
        
        if($omega_food_delivery_footer_column_layout == 2) {
            $omega_food_delivery_footer_sidebar_class = 6;
        }
        
        if($omega_food_delivery_footer_column_layout == 3) {
            $omega_food_delivery_footer_sidebar_class = 4;
        }
        ?>
        
        <?php if ( get_theme_mod('omega_food_delivery_display_footer', true) == true ) : ?>
            <div class="footer-widgetarea">
                <div class="wrapper">
                    <div class="column-row">
                    
                        <?php for ($omega_food_delivery_i = 0; $omega_food_delivery_i < $omega_food_delivery_footer_column_layout; $omega_food_delivery_i++) : ?>
                            
                            <div class="column <?php echo 'column-' . absint($omega_food_delivery_footer_sidebar_class); ?> column-sm-12">
                                
                                <?php 
                                // If no widgets are assigned, display default widgets
                                if ( ! is_active_sidebar( 'omega-food-delivery-footer-widget-' . $omega_food_delivery_i ) ) : 

                                    if ($omega_food_delivery_i === 0) : ?>
                                        <div id="media_image-3" class="widget widget_media_image">
                                            <img src="<?php echo esc_url(get_template_directory_uri() . '/assets/images/logo.png'); ?>" style="max-width: 100%; height: auto;">
                                        </div>
                                        <div id="text-3" class="widget widget_text">
                                            <div class="textwidget">
                                                <p class="widget_text">
                                                    <?php esc_html_e('The Online Food Delivery WordPress Theme is a feature-rich platform designed specifically for restaurants, food delivery services, and meal delivery businesses. This theme provides the perfect foundation for creating a seamless and user-friendly food delivery website.', 'omega-food-delivery'); ?>
                                                </p>
                                            </div>
                                        </div>

                                    <?php elseif ($omega_food_delivery_i === 1) : ?>
                                        <div id="pages-2" class="widget widget_pages">
                                            <h2 class="widget-title"><?php esc_html_e('Calendar', 'omega-food-delivery'); ?></h2>
                                            <?php get_calendar(); ?>
                                        </div>

                                    <?php elseif ($omega_food_delivery_i === 2) : ?>
                                        <div id="search-2" class="widget widget_search">
                                            <h2 class="widget-title"><?php esc_html_e('Enter Keywords Here', 'omega-food-delivery'); ?></h2>
                                            <?php get_search_form(); ?>
                                        </div>
                                    <?php endif; 
                                    
                                else :
                                    // Display dynamic sidebar widget if assigned
                                    dynamic_sidebar('omega-food-delivery-footer-widget-' . $omega_food_delivery_i);
                                endif;
                                ?>
                                
                            </div>
                            
                        <?php endfor; ?>

                    </div>
                </div>
            </div>
        <?php endif; ?> 

    <?php
    }

endif;

add_action( 'omega_food_delivery_footer_content_action', 'omega_food_delivery_footer_content_widget', 10 );

if( !function_exists('omega_food_delivery_footer_content_info') ):

    /**
     * Footer Copyright Area
    **/
    function omega_food_delivery_footer_content_info(){

        $omega_food_delivery_default = omega_food_delivery_get_default_theme_options(); ?>
        <div class="site-info">
            <div class="wrapper">
                <div class="column-row">
                    <div class="column column-9">
                        <div class="footer-credits">
                            <div class="footer-copyright">
                                <?php
                                    $omega_food_delivery_footer_copyright_text = wp_kses_post( get_theme_mod( 'omega_food_delivery_footer_copyright_text', $omega_food_delivery_default['omega_food_delivery_footer_copyright_text'] ) );
                                        echo esc_html( $omega_food_delivery_footer_copyright_text );
                                        echo '<br>';
                                        echo esc_html__('Theme: ', 'omega-food-delivery') . '<a href="' . esc_url('https://www.omegathemes.com/products/free-food-delivery-wordpress-theme') . '" title="' . esc_attr__('Wind Energy', 'omega-food-delivery') . '" target="_blank"><span>' . esc_html__('Omega Food Delivery ', 'omega-food-delivery') . '</span></a>' . esc_html__(' By ', 'omega-food-delivery') . '  <span>' . esc_html__('OMEGA ', 'omega-food-delivery') . '</span>';
                                        echo esc_html__('Powered by ', 'omega-food-delivery') . '<a href="' . esc_url('https://wordpress.org') . '" title="' . esc_attr__('WordPress', 'omega-food-delivery') . '" target="_blank"><span>' . esc_html__('WordPress.', 'omega-food-delivery') . '</span></a>';
                                    ?>
                            </div>
                        </div>
                    </div>
                    <div class="column column-3 align-text-right">
                        <a class="to-the-top" href="#site-header">
                            <span class="to-the-top-long">
                                <?php if ( get_theme_mod('omega_food_delivery_enable_to_the_top', true) == true ) : ?>
                                    <?php
                                    $omega_food_delivery_to_the_top_text = get_theme_mod( 'omega_food_delivery_to_the_top_text', __( 'To the Top', 'omega-food-delivery' ) );
                                    printf( 
                                        wp_kses( 
                                            /* translators: %s is the arrow icon markup */
                                            '%s %s', 
                                            array( 'span' => array( 'class' => array(), 'aria-hidden' => array() ) ) 
                                        ), 
                                        esc_html( $omega_food_delivery_to_the_top_text ),
                                        '<span class="arrow" aria-hidden="true">&uarr;</span>' 
                                    );
                                    ?>
                                <?php endif; ?>
                            </span>
                        </a>
                    </div>
                </div>
            </div>
        </div>

    <?php
    }

endif;

add_action( 'omega_food_delivery_footer_content_action','omega_food_delivery_footer_content_info',20 );


if ( ! function_exists( 'omega_food_delivery_main_slider' ) ) :

    function omega_food_delivery_main_slider() {
        $output = '';
        $omega_food_delivery_defaults = omega_food_delivery_get_default_theme_options();
        $omega_food_delivery_header_slider = get_theme_mod( 'omega_food_delivery_header_slider', $omega_food_delivery_defaults['omega_food_delivery_header_slider'] );

        $omega_food_delivery_slider_section_short_title = esc_html( get_theme_mod( 'omega_food_delivery_slider_section_short_title',
        $omega_food_delivery_defaults['omega_food_delivery_slider_section_short_title'] ) );

        // Debugging header slider status
        if ( ! $omega_food_delivery_header_slider ) {
            error_log('Header slider is not enabled or has a falsy value.');
            return '';  // Exit early if no slider
        }

        $omega_food_delivery_header_banner_cat = get_theme_mod( 'omega_food_delivery_header_banner_cat' );

        $banner_query = new WP_Query( array(
            'post_type' => 'post',
            'posts_per_page' => 4,
            'post__not_in' => get_option( 'sticky_posts' ),
            'category_name' => esc_html( $omega_food_delivery_header_banner_cat ),
        ) );

        // Check if the query has posts
        if ( ! $banner_query->have_posts() ) {
            error_log('No posts found for the banner query.');
            return '';  // Exit early if no posts
        }

        ob_start();  // Start output buffering
        ?>
        <div id="site-content" class="main-banner">
            <div class="slider-box" >
                <div class="main-slider">
                    <div class="swiper-container theme-main-carousel" <?php echo is_rtl() ? 'dir="rtl"' : ''; ?>>
                        <div class="swiper-wrapper">
                            <?php while ( $banner_query->have_posts() ) : $banner_query->the_post();
                                $omega_food_delivery_featured_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large' )[0] ?? get_template_directory_uri() . '/inc/homepage-setup/assets/homepage-setup-images/slider-img1.png';
                                ?>
                                <div class="swiper-slide main-carousel-item">
                                    <div class="wrapper">
                                        <div class="slider-main">
                                            <div class="slide-heading-main">
                                                <div class="main-carousel-caption">
                                                    <div class="post-content">
                                                        <header class="entry-header">
                                                            <?php if( $omega_food_delivery_slider_section_short_title ){ ?>
                                                                <h6 class="slider-short"><?php echo esc_html( $omega_food_delivery_slider_section_short_title ); ?></h6>
                                                            <?php } ?>
                                                            <h2 class="slider-heading">
                                                                <a href="<?php the_permalink(); ?>" rel="bookmark"><span><?php echo esc_html( get_the_title() ); ?></span></a>
                                                            </h2>
                                                        </header>
                                                        <div class="entry-content">
                                                            <?php
                                                            if (has_excerpt()) {

                                                                the_excerpt();

                                                            } else {

                                                                echo esc_html(wp_trim_words(get_the_content(), 25, '...'));

                                                            } ?> 
                                                        </div>
                                                        <div class="slide-btn">
                                                            <a href="<?php the_permalink(); ?>" class="btn-fancy btn-fancy-primary">
                                                                <?php echo esc_html__( 'Get Started Now', 'omega-food-delivery' ); ?>
                                                            </a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="slider-image">
                                                <div class="data-bg banner-img" data-background="<?php echo esc_url( $omega_food_delivery_featured_image ); ?>">
                                                    <a href="<?php the_permalink(); ?>" class="theme-image-responsive"></a>
                                                </div>
                                                <?php omega_food_delivery_post_format_icon(); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <?php endwhile; ?>
                        </div>
                        <div class="swiper-pagination"></div>
                    </div>
                </div>
            </div>
        </div>
        <?php
        wp_reset_postdata();
        $output = ob_get_clean(); // Get buffered output and clean buffer
        return $output; // Return the output instead of echoing
    }

endif;


if( !function_exists( 'omega_food_delivery_product_section' ) ) :

    function omega_food_delivery_product_section(){ 

        $omega_food_delivery_default = omega_food_delivery_get_default_theme_options();

        $omega_food_delivery_locations_post = get_theme_mod( 'omega_food_delivery_locations_post', $omega_food_delivery_default['omega_food_delivery_locations_post'] );

        $omega_food_delivery_gallery_left_image_1 = esc_url( get_theme_mod( 'omega_food_delivery_gallery_left_image_1',
        $omega_food_delivery_default['omega_food_delivery_gallery_left_image_1'] ) );

        $omega_food_delivery_gallery_left_image_2 = esc_url( get_theme_mod( 'omega_food_delivery_gallery_left_image_2',
        $omega_food_delivery_default['omega_food_delivery_gallery_left_image_2'] ) );

        $omega_food_delivery_gallery_left_image_3 = esc_url( get_theme_mod( 'omega_food_delivery_gallery_left_image_3',
        $omega_food_delivery_default['omega_food_delivery_gallery_left_image_3'] ) );

        $omega_food_delivery_gallery_left_image_4 = esc_url( get_theme_mod( 'omega_food_delivery_gallery_left_image_4',
        $omega_food_delivery_default['omega_food_delivery_gallery_left_image_4'] ) );

        $omega_food_delivery_galley_section_short_title = esc_html( get_theme_mod( 'omega_food_delivery_galley_section_short_title',
        $omega_food_delivery_default['omega_food_delivery_galley_section_short_title'] ) );

        $omega_food_delivery_gallery_section_title = esc_html( get_theme_mod( 'omega_food_delivery_gallery_section_title',
        $omega_food_delivery_default['omega_food_delivery_gallery_section_title'] ) );

        $omega_food_delivery_galley_section_short_content = esc_html( get_theme_mod( 'omega_food_delivery_galley_section_short_content',
        $omega_food_delivery_default['omega_food_delivery_galley_section_short_content'] ) );

        $omega_food_delivery_gallery_section_button_text = esc_html( get_theme_mod( 'omega_food_delivery_gallery_section_button_text',
        $omega_food_delivery_default['omega_food_delivery_gallery_section_button_text'] ) );

        $omega_food_delivery_galler_section_button_link = esc_url( get_theme_mod( 'omega_food_delivery_galler_section_button_link',
        $omega_food_delivery_default['omega_food_delivery_galler_section_button_link'] ) );


        $omega_food_delivery_gallery_right_image_1 = esc_url( get_theme_mod( 'omega_food_delivery_gallery_right_image_1',
        $omega_food_delivery_default['omega_food_delivery_gallery_right_image_1'] ) );

        $omega_food_delivery_gallery_right_image_2 = esc_url( get_theme_mod( 'omega_food_delivery_gallery_right_image_2',
        $omega_food_delivery_default['omega_food_delivery_gallery_right_image_2'] ) );

        $omega_food_delivery_gallery_right_image_3 = esc_url( get_theme_mod( 'omega_food_delivery_gallery_right_image_3',
        $omega_food_delivery_default['omega_food_delivery_gallery_right_image_3'] ) );

        $omega_food_delivery_gallery_right_image_4 = esc_url( get_theme_mod( 'omega_food_delivery_gallery_right_image_4',
        $omega_food_delivery_default['omega_food_delivery_gallery_right_image_4'] ) );

        // Debugging header slider status
        if ( ! $omega_food_delivery_locations_post ) {
            error_log('Header slider is not enabled or has a falsy value.');
            return '';  // Exit early if no slider
        }

        ?>
            <div class="theme-videos-block">
                <div class="gallery-box">
                    <div class="gallery-box-left">
                        <?php if( $omega_food_delivery_gallery_left_image_1 ){ ?>
                            <img class="gallery-images" src="<?php echo esc_url( $omega_food_delivery_gallery_left_image_1 ); ?>">
                        <?php } ?>
                        <?php if( $omega_food_delivery_gallery_left_image_2 ){ ?>
                            <img class="gallery-images" src="<?php echo esc_url( $omega_food_delivery_gallery_left_image_2 ); ?>">
                        <?php } ?>
                        <?php if( $omega_food_delivery_gallery_left_image_3 ){ ?>
                            <img class="gallery-images" src="<?php echo esc_url( $omega_food_delivery_gallery_left_image_3 ); ?>">
                        <?php } ?>
                        <?php if( $omega_food_delivery_gallery_left_image_4 ){ ?>
                            <img class="gallery-images" src="<?php echo esc_url( $omega_food_delivery_gallery_left_image_4 ); ?>">
                        <?php } ?>
                    </div>
                    <div class="section-heading">
                        <?php if( $omega_food_delivery_galley_section_short_title ){ ?>
                            <h6><?php echo esc_html( $omega_food_delivery_galley_section_short_title ); ?></h6>
                        <?php } ?>
                        <?php if( $omega_food_delivery_gallery_section_title ){ ?>
                            <h4><?php echo esc_html( $omega_food_delivery_gallery_section_title ); ?></h4>
                        <?php } ?>
                        <?php if( $omega_food_delivery_galley_section_short_content ){ ?>
                            <p><?php echo esc_html( $omega_food_delivery_galley_section_short_content ); ?></p>
                        <?php } ?>
                        <?php if( $omega_food_delivery_gallery_section_button_text || $omega_food_delivery_galler_section_button_link ){ ?>
                            <div class="gallery-button">
                                <a href="<?php echo esc_url( $omega_food_delivery_galler_section_button_link ); ?>" class=""><?php echo esc_html( $omega_food_delivery_gallery_section_button_text ); ?></a>
                            </div>
                        <?php } ?>
                    </div>
                    <div class="gallery-box-right">
                        <?php if( $omega_food_delivery_gallery_right_image_1 ){ ?>
                            <img class="gallery-images" src="<?php echo esc_url( $omega_food_delivery_gallery_right_image_1 ); ?>">
                        <?php } ?>
                        <?php if( $omega_food_delivery_gallery_right_image_2 ){ ?>
                            <img class="gallery-images" src="<?php echo esc_url( $omega_food_delivery_gallery_right_image_2 ); ?>">
                        <?php } ?>
                        <?php if( $omega_food_delivery_gallery_right_image_3 ){ ?>
                            <img class="gallery-images" src="<?php echo esc_url( $omega_food_delivery_gallery_right_image_3 ); ?>">
                        <?php } ?>
                        <?php if( $omega_food_delivery_gallery_right_image_4 ){ ?>
                            <img class="gallery-images" src="<?php echo esc_url( $omega_food_delivery_gallery_right_image_4 ); ?>">
                        <?php } ?>
                    </div>
                </div>
            </div>
            
    <?php }

endif;
if (!function_exists('omega_food_delivery_post_format_icon')):

    // Post Format Icon.
    function omega_food_delivery_post_format_icon() {

        $omega_food_delivery_format = get_post_format(get_the_ID()) ?: 'standard';
        $omega_food_delivery_icon = '';
        $omega_food_delivery_title = '';
        if( $omega_food_delivery_format == 'video' ){
            $omega_food_delivery_icon = omega_food_delivery_get_theme_svg( 'video' );
            $omega_food_delivery_title = esc_html__('Video','omega-food-delivery');
        }elseif( $omega_food_delivery_format == 'audio' ){
            $omega_food_delivery_icon = omega_food_delivery_get_theme_svg( 'audio' );
            $omega_food_delivery_title = esc_html__('Audio','omega-food-delivery');
        }elseif( $omega_food_delivery_format == 'gallery' ){
            $omega_food_delivery_icon = omega_food_delivery_get_theme_svg( 'gallery' );
            $omega_food_delivery_title = esc_html__('Gallery','omega-food-delivery');
        }elseif( $omega_food_delivery_format == 'quote' ){
            $omega_food_delivery_icon = omega_food_delivery_get_theme_svg( 'quote' );
            $omega_food_delivery_title = esc_html__('Quote','omega-food-delivery');
        }elseif( $omega_food_delivery_format == 'image' ){
            $omega_food_delivery_icon = omega_food_delivery_get_theme_svg( 'image' );
            $omega_food_delivery_title = esc_html__('Image','omega-food-delivery');
        } elseif( $omega_food_delivery_format == 'link' ){
            $omega_food_delivery_icon = omega_food_delivery_get_theme_svg( 'link' );
            $omega_food_delivery_title = esc_html__('Link','omega-food-delivery');
        } elseif( $omega_food_delivery_format == 'status' ){
            $omega_food_delivery_icon = omega_food_delivery_get_theme_svg( 'status' );
            $omega_food_delivery_title = esc_html__('Status','omega-food-delivery');
        } elseif( $omega_food_delivery_format == 'aside' ){
            $omega_food_delivery_icon = omega_food_delivery_get_theme_svg( 'aside' );
            $omega_food_delivery_title = esc_html__('Aside','omega-food-delivery');
        } elseif( $omega_food_delivery_format == 'chat' ){
            $omega_food_delivery_icon = omega_food_delivery_get_theme_svg( 'chat' );
            $omega_food_delivery_title = esc_html__('Chat','omega-food-delivery');
        }
        
        if (!empty($omega_food_delivery_icon)) { ?>
            <div class="theme-post-format">
                <span class="post-format-icom"><?php echo omega_food_delivery_svg_escape($omega_food_delivery_icon); ?></span>
                <?php if( $omega_food_delivery_title ){ echo '<span class="post-format-label">'.esc_html( $omega_food_delivery_title ).'</span>'; } ?>
            </div>
        <?php }
    }

endif;

if ( ! function_exists( 'omega_food_delivery_svg_escape' ) ):

    /**
     * Get information about the SVG icon.
     *
     * @param string $omega_food_delivery_svg_name The name of the icon.
     * @param string $group The group the icon belongs to.
     * @param string $color Color code.
     */
    function omega_food_delivery_svg_escape( $omega_food_delivery_input ) {

        // Make sure that only our allowed tags and attributes are included.
        $omega_food_delivery_svg = wp_kses(
            $omega_food_delivery_input,
            array(
                'svg'     => array(
                    'class'       => true,
                    'xmlns'       => true,
                    'width'       => true,
                    'height'      => true,
                    'viewbox'     => true,
                    'aria-hidden' => true,
                    'role'        => true,
                    'focusable'   => true,
                ),
                'path'    => array(
                    'fill'      => true,
                    'fill-rule' => true,
                    'd'         => true,
                    'transform' => true,
                ),
                'polygon' => array(
                    'fill'      => true,
                    'fill-rule' => true,
                    'points'    => true,
                    'transform' => true,
                    'focusable' => true,
                ),
            )
        );

        if ( ! $omega_food_delivery_svg ) {
            return false;
        }

        return $omega_food_delivery_svg;

    }

endif;

if( !function_exists( 'omega_food_delivery_sanitize_sidebar_option_meta' ) ) :

    // Sidebar Option Sanitize.
    function omega_food_delivery_sanitize_sidebar_option_meta( $omega_food_delivery_input ){

        $omega_food_delivery_metabox_options = array( 'global-sidebar','left-sidebar','right-sidebar','no-sidebar' );
        if( in_array( $omega_food_delivery_input,$omega_food_delivery_metabox_options ) ){

            return $omega_food_delivery_input;

        }else{

            return '';

        }
    }

endif;

if( !function_exists( 'omega_food_delivery_sanitize_pagination_meta' ) ) :

    // Sidebar Option Sanitize.
    function omega_food_delivery_sanitize_pagination_meta( $omega_food_delivery_input ){

        $omega_food_delivery_metabox_options = array( 'Center','Right','Left');
        if( in_array( $omega_food_delivery_input,$omega_food_delivery_metabox_options ) ){

            return $omega_food_delivery_input;

        }else{

            return '';

        }
    }

endif;

// Sanitize the enable/disable setting for pagination
if( !function_exists('omega_food_delivery_sanitize_enable_pagination') ) :
    function omega_food_delivery_sanitize_enable_pagination( $omega_food_delivery_input ) {
        return (bool) $omega_food_delivery_input;
    }
endif;

if( !function_exists( 'omega_food_delivery_sanitize_pagination_type' ) ) :

    /**
     * Sanitize the pagination type setting.
     *
     * @param string $omega_food_delivery_input The input value from the Customizer.
     * @return string The sanitized value.
     */
    function omega_food_delivery_sanitize_pagination_type( $omega_food_delivery_input ) {
        // Define valid options for the pagination type.
        $omega_food_delivery_valid_options = array( 'numeric', 'newer_older' ); // Update valid options to include 'newer_older'

        // If the input is one of the valid options, return it. Otherwise, return the default option ('numeric').
        if ( in_array( $omega_food_delivery_input, $omega_food_delivery_valid_options, true ) ) {
            return $omega_food_delivery_input;
        } else {
            // Return 'numeric' as the fallback if the input is invalid.
            return 'numeric';
        }
    }

endif;

if( !function_exists( 'omega_food_delivery_sanitize_menu_transform' ) ) :

    // Sidebar Option Sanitize.
    function omega_food_delivery_sanitize_menu_transform( $omega_food_delivery_input ){

        $omega_food_delivery_metabox_options = array( 'capitalize','uppercase','lowercase');
        if( in_array( $omega_food_delivery_input,$omega_food_delivery_metabox_options ) ){

            return $omega_food_delivery_input;

        }else{

            return '';

        }
    }

endif;

if( !function_exists( 'omega_food_delivery_sanitize_page_content_alignment' ) ) :

    // Sidebar Option Sanitize.
    function omega_food_delivery_sanitize_page_content_alignment( $omega_food_delivery_input ){

        $omega_food_delivery_metabox_options = array( 'left','center','right');
        if( in_array( $omega_food_delivery_input,$omega_food_delivery_metabox_options ) ){

            return $omega_food_delivery_input;

        }else{

            return '';

        }
    }

endif;

if( !function_exists( 'omega_food_delivery_sanitize_copyright_alignment_meta' ) ) :

    // Sidebar Option Sanitize.
    function omega_food_delivery_sanitize_copyright_alignment_meta( $omega_food_delivery_input ){

        $omega_food_delivery_metabox_options = array( 'Default','Reverse','Center');
        if( in_array( $omega_food_delivery_input,$omega_food_delivery_metabox_options ) ){

            return $omega_food_delivery_input;

        }else{

            return '';

        }
    }

endif;

/**
 * Sidebar Layout Function
 */
function omega_food_delivery_get_final_sidebar_layout() {
	$omega_food_delivery_defaults       = omega_food_delivery_get_default_theme_options();
	$omega_food_delivery_global_layout  = get_theme_mod('omega_food_delivery_global_sidebar_layout', $omega_food_delivery_defaults['omega_food_delivery_global_sidebar_layout']);
	$omega_food_delivery_page_layout    = get_theme_mod('omega_food_delivery_page_sidebar_layout', $omega_food_delivery_global_layout);
	$omega_food_delivery_post_layout    = get_theme_mod('omega_food_delivery_post_sidebar_layout', $omega_food_delivery_global_layout);
	$omega_food_delivery_meta_layout    = get_post_meta(get_the_ID(), 'omega_food_delivery_post_sidebar_option', true);

	if (!empty($omega_food_delivery_meta_layout) && $omega_food_delivery_meta_layout !== 'default') {
		return $omega_food_delivery_meta_layout;
	}
	if (is_page() || (function_exists('is_shop') && is_shop())) {
		return $omega_food_delivery_page_layout;
	}
	if (is_single()) {
		return $omega_food_delivery_post_layout;
	}
	return $omega_food_delivery_global_layout;
}

if( !function_exists( 'omega_food_delivery_sanitize_footer_widget_title_alignment' ) ) :

    // Footer Option Sanitize.
    function omega_food_delivery_sanitize_footer_widget_title_alignment( $omega_food_delivery_input ){

        $omega_food_delivery_metabox_options = array( 'left','center','right');
        if( in_array( $omega_food_delivery_input,$omega_food_delivery_metabox_options ) ){

            return $omega_food_delivery_input;

        }else{

            return '';

        }
    }

endif;